<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RLbmHubGroup StructType
 * @subpackage Structs
 */
class RLbmHubGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The member1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $member1;
    /**
     * The member2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $member2;
    /**
     * The member3
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $member3;
    /**
     * The members
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public $members;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RLbmHubGroup
     * @uses RLbmHubGroup::setName()
     * @uses RLbmHubGroup::setDescription()
     * @uses RLbmHubGroup::setMember1()
     * @uses RLbmHubGroup::setMember2()
     * @uses RLbmHubGroup::setMember3()
     * @uses RLbmHubGroup::setMembers()
     * @uses RLbmHubGroup::setUuid()
     * @param string $name
     * @param string $description
     * @param string $member1
     * @param string $member2
     * @param string $member3
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $member1 = null, $member2 = null, $member3 = null, \\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setMember1($member1)
            ->setMember2($member2)
            ->setMember3($member3)
            ->setMembers($members)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmHubGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmHubGroup
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get member1 value
     * @return string|null
     */
    public function getMember1()
    {
        return $this->member1;
    }
    /**
     * Set member1 value
     * @param string $member1
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmHubGroup
     */
    public function setMember1($member1 = null)
    {
        $this->member1 = $member1;
        return $this;
    }
    /**
     * Get member2 value
     * @return string|null
     */
    public function getMember2()
    {
        return $this->member2;
    }
    /**
     * Set member2 value
     * @param string $member2
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmHubGroup
     */
    public function setMember2($member2 = null)
    {
        $this->member2 = $member2;
        return $this;
    }
    /**
     * Get member3 value
     * @return string|null
     */
    public function getMember3()
    {
        return $this->member3;
    }
    /**
     * Set member3 value
     * @param string $member3
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmHubGroup
     */
    public function setMember3($member3 = null)
    {
        $this->member3 = $member3;
        return $this;
    }
    /**
     * Get members value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Members|null
     */
    public function getMembers()
    {
        return $this->members;
    }
    /**
     * Set members value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmHubGroup
     */
    public function setMembers(\\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null)
    {
        $this->members = $members;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLbmHubGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
